Qt 5.6 | Qt 3D | C++ Classes | QFrameGraphNode

Qt 5.6.3 Reference Documentation

# QFrameGraphNode Class

(Qt3DRender::QFrameGraphNode)

Base class of all FrameGraph configuration nodes. More...

Header: | #include <QFrameGraphNode>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | FrameGraphNode
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DRender::QCameraSelector, Qt3DRender::QFrameGraphSelector, Qt3DRender::QLayerFilter, Qt3DRender::QNoDraw, and Qt3DRender::QStateSet

- List of all members, including inherited members

## Properties

- enabled : bool

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QFrameGraphNode(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QFrameGraphNode()
bool | isEnabled() const
QFrameGraphNode * | parentFrameGraphNode() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setEnabled(bool enabled)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | enabledChanged(bool enabled)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QFrameGraphNode(QFrameGraphNodePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Base class of all FrameGraph configuration nodes.

This is an abstract class so it cannot be instanced directly but rather through one of its subclasses.

## Property Documentation

### enabled : bool

Holds whether the frame graph node is enabled or disabled.

Access functions:

bool | isEnabled() const
void | setEnabled(bool enabled)

Notifier signal:

void | enabledChanged(bool enabled)

## Member Function Documentation

### QFrameGraphNode::QFrameGraphNode(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QFrameGraphNode.

### `[protected]` QFrameGraphNode::QFrameGraphNode(QFrameGraphNodePrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QFrameGraphNode::~QFrameGraphNode()

Destroys the instance of QFrameGraphNode.

### QFrameGraphNode *QFrameGraphNode::parentFrameGraphNode() const

Returns a pointer to the parent.